﻿Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.ComponentModel

' To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line.
<System.Web.Script.Services.ScriptService()> _
<System.Web.Services.WebService(Namespace:="http://tempuri.org/")> _
<System.Web.Services.WebServiceBinding(ConformsTo:=WsiProfiles.BasicProfile1_1)> _
<ToolboxItem(False)> _
Public Class WebService1
    Inherits System.Web.Services.WebService

    <WebMethod()> _
    Public Function AddPersonList(ByVal PersonList As List(Of Customer)) As String
        If PersonList.Count > 0 Then
            If PersonList(0).EmailAddresses.Count > 0 Then
                Return PersonList(0).FirstName + " " + PersonList(0).LastName + _
                    ", " + PersonList(0).EmailAddresses(0).Address
            Else
                Return PersonList(0).FirstName + " " + PersonList(0).LastName
            End If
        Else
            Return "Hello World"
        End If
    End Function

    <WebMethod()> _
    Public Function AddPersonList1(ByVal input As InputData) As String
        If input.PersonList.Count > 0 Then
            If input.PersonList(0).EmailAddresses.Count > 0 Then
                Return input.PersonList(0).FirstName + " " + input.PersonList(0).LastName + _
                    ", " + input.PersonList(0).EmailAddresses(0).Address
            Else
                Return input.PersonList(0).FirstName + " " + input.PersonList(0).LastName
            End If
        Else
            Return "Hello World"
        End If
    End Function

End Class

Public Class EmailAddress
    Public Property Type As String
    Public Property Address As String
End Class

Public Class InputData
    Public Property PersonList As List(Of Customer)
End Class

Public Class Customer
    'Public CustomerID As Guid
    Public Property FirstName As String
    Public Property LastName As String
    Public Property EmailAddresses As List(Of EmailAddress)
End Class